GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends
gdcm::Type Class Reference

Type. More...

`#include <gdcmType.h>`

List of all members.

## Public Types

enum | TypeType { T1 = 0, T1C, T2, T2C, T3, UNKNOWN }

## Public Member Functions

| Type (TypeType type=UNKNOWN)
| operator TypeType () const

## Static Public Member Functions

static const char * | GetTypeString (TypeType type)
static TypeType | GetTypeType (const char *type)

## Friends

std::ostream & | operator<< (std::ostream &os, const Type &vr)

## Detailed Description

Type.

Note:
  PS 3.5 7.4 DATA ELEMENT TYPE 7.4.1 TYPE 1 REQUIRED DATA ELEMENTS 7.4.2 TYPE 1C CONDITIONAL DATA ELEMENTS 7.4.3 TYPE 2 REQUIRED DATA ELEMENTS 7.4.4 TYPE 2C CONDITIONAL DATA ELEMENTS 7.4.5 TYPE 3 OPTIONAL DATA ELEMENTS

The intent of Type 2 Data Elements is to allow a zero length to be conveyed when the operator or application does not know its value or has a specific reason for not specifying its value. It is the intent that the device should support these Data Elements.

Examples:
  TraverseModules.cxx.

## Member Enumeration Documentation

enum gdcm::Type::TypeType

Enumerator:

  T1 |
  T1C |
  T2 |
  T2C |
  T3 |
  UNKNOWN |

## Constructor & Destructor Documentation

gdcm::Type::Type | ( | TypeType | type = `UNKNOWN` | ) | `[inline]`

## Member Function Documentation

static const char* gdcm::Type::GetTypeString | ( | TypeType | type | ) | `[static]`

Referenced by gdcm::operator<<().

static TypeType gdcm::Type::GetTypeType | ( | const char * | type | ) | `[static]`

Referenced by gdcm::ModuleEntry::ModuleEntry().

gdcm::Type::operator TypeType | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Type & | vr
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmType.h